Skip to main content
GET
/
orders
List orders
curl --request GET \
  --url https://api.context.markets/v2/orders \
  --header 'Authorization: Bearer <token>'
{
  "orders": [
    {
      "marketId": "0x1111111111111111111111111111111111111111111111111111111111111111",
      "trader": "0x1111111111111111111111111111111111111111",
      "nonce": "0xabc123",
      "side": 0,
      "price": "1000000",
      "size": "1000000",
      "filledSize": "1000000",
      "remainingSize": "1000000",
      "percentFilled": 123,
      "insertedAt": "2023-11-07T05:31:56Z",
      "type": "limit",
      "status": "open",
      "voidedAt": "2023-11-07T05:31:56Z",
      "voidReason": "UNFILLED_MARKET_ORDER",
      "outcomeIndex": 123,
      "expiry": "1000000",
      "settlementVersion": 1,
      "sv2OrderKind": 0,
      "sv2TimeInForce": 0,
      "sv2MinSharesOut": "1000000",
      "sv2MaxCollateralIn": "1000000",
      "sv2MinCollateralOut": "1000000",
      "avgFillPrice": "1000000"
    }
  ],
  "markets": {},
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Query Parameters

trader
string

EVM address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x1111111111111111111111111111111111111111"

marketId
string

32-byte hex hash

Pattern: ^0x[a-fA-F0-9]{64}$
Example:

"0x1111111111111111111111111111111111111111111111111111111111111111"

status
string

Comma-separated statuses: open,filled,cancelled,expired,voided

Example:

"open,filled"

limit
integer
Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor

Example:

"eyJ0aW1lc3RhbXAiOiIyMDI2LTAzLTAzVDAwOjAwOjAwLjAwMFoiLCJpZCI6MTIzfQ=="

Response

Orders list

orders
object[]
required
markets
object
required
cursor
string | null
required